# 10 scene

set AshiTama_dat1 {
    {38.4 0.2}
    {38.1 0.7}
    {37.8 1.05}
    {37.5 1.3}
    {37.2 1.4}
    {36.9 1.6}
    {36.6 1.7}
    {36.3 1.7}
    {36.0 1.6}
    {35.7 1.4}
}

set AshiTama_dat2 {
    1.4 1.5 1.6 1.7 1.8 1.8 1.7 1.6 1.5 1.4
}

set AshiCnt 0
set AshiMode 0
set AshiTmId 0

proc vs_H_PickAshikaBall { obj event userdata } {
	global vsTrue vsContinue

	if [vscpAmIMaster == $vsTrue] {
		# I am Master
		AshiMotion $obj $event $userdata
        	vscpSendApplSpecificMsg $obj "AshiMotion" "$userdata"
	} {
		# I am Slave
		vscpSendApplSpecificMsg $obj "vs_H_PickAshikaBall" "$userdata"
	}
	return $vsContinue
}

proc AshiMotion { obj ev ud } {
    global	AshiTamaObj vsTclScript vsPeriodicTask AshiMode AshiTmId AshiCnt
    global ParadeFlg

    if { $AshiTmId == 0 && $ParadeFlg == 0} {
	    set AshiTmId [vsAddTimeOutHandler $obj 140 $vsTclScript "" Ashi_1 "userdata" $vsPeriodicTask]
    }
}

proc Ashi_1 { obj ev ud } {
    global	AshiTama_dat1 AshiTama_dat2 AshiCnt AshiMode Ashika AshiTmId
    global	vsCSLocal vsAbsolute vsContinue vsStop vsRelative vsCSWorld
    global vsFalse

    # set temporary inital position
    vsRotateAngle $obj -10 0 20 $vsCSLocal $vsRelative

    if {$AshiMode == 0} {
	if {$AshiCnt == 10} {
	    set AshiCnt 0
	    incr AshiMode
	    # play sound    
	    vsPlayAmbientSoundByName sound_ashika 0

	} else {
	    set x -60
	    set a [lindex $AshiTama_dat1 $AshiCnt]
	    set z [lindex $a 0]
	    set y [lindex $a 1]
	    vsKinNextPosture $Ashika
	    vsTranslate $obj $x $y $z $vsCSWorld $vsAbsolute

	    incr AshiCnt
	}
    } elseif {$AshiMode == 1} {
	if {$AshiCnt == 10} {
	    set AshiCnt 0
	    incr AshiMode

	    # play sound    
	    vsPlayAmbientSoundByName sound_ashika 0

	} else {
	    set x -60
	    set y [lindex $AshiTama_dat2 $AshiCnt]
	    set z 35.7
	    vsKinNextPosture $Ashika
	    vsTranslate $obj $x $y $z $vsCSWorld $vsAbsolute
	    incr AshiCnt
	}
    } elseif {$AshiMode == 2} {
	if {$AshiCnt == 10} {
	    set AshiCnt 0
	    set AshiMode 0
	    vsRemoveTimeOutHandler $obj $AshiTmId

	    set AshiTmId 0

	    return $vsStop
	} else {
	    set j [expr 9 - $AshiCnt]
	    set x -60
	    set a [lindex $AshiTama_dat1 $j]
	    set z [lindex $a 0]
	    set y [lindex $a 1]
	    vsKinNextPosture $Ashika
	    vsTranslate $obj $x $y $z $vsCSWorld $vsAbsolute
	    incr AshiCnt
	}
    }

    return $vsContinue
}







